org.keycloak.dom.saml.v2.ac.classes

## Class GoverningAgreementRefType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.classes.GoverningAgreementRefType

-     public class GoverningAgreementRefType
      extends Object

  Java class for GoverningAgreementRefType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GoverningAgreementRefType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="governingAgreementRef" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `governingAgreementRef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GoverningAgreementRefType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGoverningAgreementRef()` Gets the value of the governingAgreementRef property.
    `void` | `setGoverningAgreementRef(String value)` Sets the value of the governingAgreementRef property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### governingAgreementRef

          protected String governingAgreementRef

  - ### Constructor Detail

    - #### GoverningAgreementRefType

          public GoverningAgreementRefType()

  - ### Method Detail

    - #### getGoverningAgreementRef

          public String getGoverningAgreementRef()

      Gets the value of the governingAgreementRef property.
      Returns:
        possible object is `String`

    - #### setGoverningAgreementRef

          public void setGoverningAgreementRef(String value)

      Sets the value of the governingAgreementRef property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2021 JBoss by Red Hat. All rights reserved.